## org.codehaus.groovy.grails.web.i18n
Class ParamsAwareLocaleChangeInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.HandlerInterceptorAdapter
          org.springframework.web.servlet.i18n.LocaleChangeInterceptor
              org.codehaus.groovy.grails.web.i18n.ParamsAwareLocaleChangeInterceptor

All Implemented Interfaces:
  groovy.lang.GroovyObject, HandlerInterceptor

    public class ParamsAwareLocaleChangeInterceptor

extends LocaleChangeInterceptor
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.springframework.web.servlet.i18n.LocaleChangeInterceptor
`DEFAULT_PARAM_NAME`

Constructor Summary
`ParamsAwareLocaleChangeInterceptor()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getParamName()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setParamName(String paramName)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter
`afterCompletion, postHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamsAwareLocaleChangeInterceptor

    public ParamsAwareLocaleChangeInterceptor()

Method Detail

### getParamName

    public String getParamName()

  Overrides:
    `getParamName` in class `LocaleChangeInterceptor`

### setParamName

    public void setParamName(String paramName)

  Overrides:
    `setParamName` in class `LocaleChangeInterceptor`

### preHandle

    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response,
                             Object handler)

  Specified by:
    `preHandle` in interface `HandlerInterceptor`
  Overrides:
    `preHandle` in class `LocaleChangeInterceptor`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project